//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicSchema.h>

@class PTDiffusionRecordMetadata;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Schema for paged record topics.
 
 @see PTDiffusionPagedRecordTopicDetailsBuilder

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedRecordTopicSchema : PTDiffusionTopicSchema

/**
 The default metadata used if not is explicitly supplied.

 @since 5.7
 */
+(PTDiffusionRecordMetadata *)defaultMetadata;

/**
 The metadata.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionRecordMetadata* metadata;

/**
 Compares the receiver to the given paged record topic schema.

 @param pagedRecordTopicSchema The paged record topic schema object with which to compare the receiver.

 @return `YES` if the paged record topic schema is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedRecordTopicSchema:(nullable PTDiffusionPagedRecordTopicSchema *)pagedRecordTopicSchema;

@end

NS_ASSUME_NONNULL_END
